Bug 1285769 - Fails to start without ip6t_rpfilter module
Fails to start without ip6t_rpfilter module
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: firewalld (Show other bugs)
7.3
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Thomas Woerner
Tomas Dolezal
:
Depends On:
Blocks: 1296594 1313485
  Show dependency treegraph
 
Reported: 2015-11-26 07:23 EST by Martin Milata
Modified: 2016-11-03 17:01 EDT (History)
2 users (show)

See Also:
Fixed In Version: firewalld-0.4.3.2-7.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 17:01:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Milata 2015-11-26 07:23:11 EST
I recently ran into bug #1074427 when trying to use RHEL7 firewalld inside OpenVZ guest. The OpenVZ kernel is missing the ip6t_rpfilter module which results in firewalld failing before completing initialization, resulting in unreachable machine.

Would it be possible to backport the patch to RHEL7?
Comment 1 Martin Milata 2015-11-26 07:26:00 EST
Affected version: firewalld-0.3.9-11.el7.noarch
Comment 5 Mike McCune 2016-03-28 19:42:22 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 7 Tomas Dolezal 2016-09-01 11:24:33 EDT
failed firewalld-0.4.3.2-6.el7.noarch (incomplete fix)

the new version (fully) starts only when IndividualCalls=yes option is used

What happens however is disturbing, because the process is running (process list & systemd) but returns --state of 252 - not running. --list-all command succeeds.

iptables-save contains same same rules in both IndividualCalls variants.
Comment 11 Thomas Woerner 2016-09-01 12:13:58 EDT
Here is an upstream fix:
https://github.com/t-woerner/firewalld/commit/42a997143a5c9c4ff89045752cd7e52e400fd93d
Comment 16 errata-xmlrpc 2016-11-03 17:01:33 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2597.html

Note You need to log in before you can comment on or make changes to this bug.